# Source Generated with Decompyle++
# File: in.pyc (Python 2.7)

""" Python Character Mapping Codec iso8859_11 generated from 'MAPPINGS/ISO8859/8859-11.TXT' with gencodec.py.

"""
import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'iso8859-11', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\x04\x05\x06\x07\x08\t\n\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1a\x1b\x1c\x1d\x1e\x1f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7f\xc2\x80\xc2\x81\xc2\x82\xc2\x83\xc2\x84\xc2\x85\xc2\x86\xc2\x87\xc2\x88\xc2\x89\xc2\x8a\xc2\x8b\xc2\x8c\xc2\x8d\xc2\x8e\xc2\x8f\xc2\x90\xc2\x91\xc2\x92\xc2\x93\xc2\x94\xc2\x95\xc2\x96\xc2\x97\xc2\x98\xc2\x99\xc2\x9a\xc2\x9b\xc2\x9c\xc2\x9d\xc2\x9e\xc2\x9f\xc2\xa0\xe0\xb8\x81\xe0\xb8\x82\xe0\xb8\x83\xe0\xb8\x84\xe0\xb8\x85\xe0\xb8\x86\xe0\xb8\x87\xe0\xb8\x88\xe0\xb8\x89\xe0\xb8\x8a\xe0\xb8\x8b\xe0\xb8\x8c\xe0\xb8\x8d\xe0\xb8\x8e\xe0\xb8\x8f\xe0\xb8\x90\xe0\xb8\x91\xe0\xb8\x92\xe0\xb8\x93\xe0\xb8\x94\xe0\xb8\x95\xe0\xb8\x96\xe0\xb8\x97\xe0\xb8\x98\xe0\xb8\x99\xe0\xb8\x9a\xe0\xb8\x9b\xe0\xb8\x9c\xe0\xb8\x9d\xe0\xb8\x9e\xe0\xb8\x9f\xe0\xb8\xa0\xe0\xb8\xa1\xe0\xb8\xa2\xe0\xb8\xa3\xe0\xb8\xa4\xe0\xb8\xa5\xe0\xb8\xa6\xe0\xb8\xa7\xe0\xb8\xa8\xe0\xb8\xa9\xe0\xb8\xaa\xe0\xb8\xab\xe0\xb8\xac\xe0\xb8\xad\xe0\xb8\xae\xe0\xb8\xaf\xe0\xb8\xb0\xe0\xb8\xb1\xe0\xb8\xb2\xe0\xb8\xb3\xe0\xb8\xb4\xe0\xb8\xb5\xe0\xb8\xb6\xe0\xb8\xb7\xe0\xb8\xb8\xe0\xb8\xb9\xe0\xb8\xba\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xe0\xb8\xbf\xe0\xb9\x80\xe0\xb9\x81\xe0\xb9\x82\xe0\xb9\x83\xe0\xb9\x84\xe0\xb9\x85\xe0\xb9\x86\xe0\xb9\x87\xe0\xb9\x88\xe0\xb9\x89\xe0\xb9\x8a\xe0\xb9\x8b\xe0\xb9\x8c\xe0\xb9\x8d\xe0\xb9\x8e\xe0\xb9\x8f\xe0\xb9\x90\xe0\xb9\x91\xe0\xb9\x92\xe0\xb9\x93\xe0\xb9\x94\xe0\xb9\x95\xe0\xb9\x96\xe0\xb9\x97\xe0\xb9\x98\xe0\xb9\x99\xe0\xb9\x9a\xe0\xb9\x9b\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe\xef\xbf\xbe'
encoding_table = codecs.charmap_build(decoding_table)
